stubs.h File Reference
`#include <tcl.h>`

Go to the source code of this file.

## Macros

#define | TCLTK_STUBS_OK (0)
#define | NO_TCL_DLL (1)
#define | NO_FindExecutable (2)
#define | NO_TK_DLL (-1)
#define | NO_CreateInterp (3)
#define | NO_DeleteInterp (4)
#define | FAIL_CreateInterp (5)
#define | FAIL_Tcl_InitStubs (6)
#define | NO_Tk_Init (7)
#define | FAIL_Tk_Init (8)
#define | FAIL_Tk_InitStubs (9)

## Functions

int | ruby_open_tcl_dll (char *)
int | ruby_open_tk_dll ()
int | ruby_open_tcltk_dll (char *)
int | tcl_stubs_init_p ()
int | tk_stubs_init_p ()
Tcl_Interp * | ruby_tcl_create_ip_and_stubs_init (int *)
int | ruby_tcl_stubs_init ()
int | ruby_tk_stubs_init (Tcl_Interp *)
int | ruby_tk_stubs_safeinit (Tcl_Interp *)
int | ruby_tcltk_stubs ()

## Macro Definition Documentation

#define FAIL_CreateInterp (5)

Definition at line 27 of file stubs.h.

Referenced by ip_init(), ruby_tcl_create_ip_and_stubs_init(), and tcl_stubs_check().

#define FAIL_Tcl_InitStubs (6)

Definition at line 28 of file stubs.h.

Referenced by ip_init(), and tcl_stubs_check().

#define FAIL_Tk_Init (8)

Definition at line 32 of file stubs.h.

Referenced by ip_init(), ruby_tk_stubs_init(), ruby_tk_stubs_safeinit(), and tcltkip_init_tk().

#define FAIL_Tk_InitStubs (9)

Definition at line 33 of file stubs.h.

Referenced by ip_init(), and tcltkip_init_tk().

#define NO_CreateInterp (3)

Definition at line 25 of file stubs.h.

Referenced by ip_init(), and tcl_stubs_check().

#define NO_DeleteInterp (4)

Definition at line 26 of file stubs.h.

Referenced by ip_init(), and tcl_stubs_check().

#define NO_FindExecutable (2)

Definition at line 19 of file stubs.h.

Referenced by Init_tcltklib(), ip_init(), and tcl_stubs_check().

#define NO_TCL_DLL (1)

Definition at line 18 of file stubs.h.

Referenced by Init_tcltklib(), ip_init(), and tcl_stubs_check().

#define NO_TK_DLL (-1)

Definition at line 22 of file stubs.h.

#define NO_Tk_Init (7)

Definition at line 31 of file stubs.h.

Referenced by ip_init(), and tcltkip_init_tk().

#define TCLTK_STUBS_OK (0)

Definition at line 15 of file stubs.h.

Referenced by Init_tcltklib(), ip_init(), ruby_open_tcl_dll(), ruby_open_tk_dll(), ruby_tcl_stubs_init(), ruby_tk_stubs_init(), ruby_tk_stubs_safeinit(), tcl_stubs_check(), and tcltkip_init_tk().

## Function Documentation

int ruby_open_tcl_dll | ( | char * |  | ) |

Definition at line 457 of file stubs.c.

References TCLTK_STUBS_OK.

Referenced by Init_tcltklib(), ruby_open_tcltk_dll(), ruby_open_tk_dll(), and ruby_tcl_create_ip_and_stubs_init().

int ruby_open_tcltk_dll | ( | char * |  | ) |

Definition at line 486 of file stubs.c.

References ruby_open_tcl_dll(), and ruby_open_tk_dll().

int ruby_open_tk_dll | ( |  | ) |

Definition at line 472 of file stubs.c.

References rb_argv0, RSTRING_PTR, ruby_open_tcl_dll(), and TCLTK_STUBS_OK.

Referenced by ruby_open_tcltk_dll().

Tcl_Interp* ruby_tcl_create_ip_and_stubs_init | ( | int * |  | ) |

Definition at line 509 of file stubs.c.

References _nativethread_consistency_check(), FAIL_CreateInterp, NULL, rb_argv0, RSTRING_PTR, and ruby_open_tcl_dll().

Referenced by ip_init().

int ruby_tcl_stubs_init | ( |  | ) |

Definition at line 533 of file stubs.c.

References TCLTK_STUBS_OK.

Referenced by ip_init(), and tcl_stubs_check().

int ruby_tcltk_stubs | ( |  | ) |

Definition at line 587 of file stubs.c.

References rb_argv0, and RSTRING_PTR.

int ruby_tk_stubs_init | ( | Tcl_Interp * |  | ) |

Definition at line 542 of file stubs.c.

References FAIL_Tk_Init, and TCLTK_STUBS_OK.

Referenced by ip_init(), and tcltkip_init_tk().

int ruby_tk_stubs_safeinit | ( | Tcl_Interp * |  | ) |

Definition at line 563 of file stubs.c.

References FAIL_Tk_Init, and TCLTK_STUBS_OK.

Referenced by tcltkip_init_tk().

int tcl_stubs_init_p | ( |  | ) |

Definition at line 494 of file stubs.c.

Referenced by tcl_stubs_check().

int tk_stubs_init_p | ( |  | ) |

Definition at line 500 of file stubs.c.

References call_tk_stubs_init.

Referenced by ip_allow_ruby_exit_set(), ip_create_console_core(), ip_create_slave_core(), ip_finalize(), ip_has_mainwindow_p_core(), ip_make_safe_core(), ip_rb_threadTkWaitCommand(), ip_rbTkWaitCommand(), lib_eventloop_core(), lib_num_of_mainwindows_core(), and lib_watchdog_core().